#include "KSGServer.h"
#include <Datei.h>
#include <Text.h>
#include <InitDatei.h>

using namespace Framework;

char *getMainServerIp()
{
	InitDatei *dat = new InitDatei( "data/optionen.ini" );
	dat->laden();
	Text *ipT = dat->getWert( "ServerIP" );
	dat->release();
	int ln = ipT->getLnge();
	char *ret = new char[ ln + 1 ];
	ret[ ln ] = 0;
	for( int i = 0; i < ln; i++ )
		ret[ i ] = ipT->getText()[ i ];
	ipT->release();
	return ret;
}

unsigned short getMainServerPort()
{
	InitDatei *dat = new InitDatei( "data/optionen.ini" );
	dat->laden();
	unsigned short ret = (unsigned short)TextZuInt( dat->zWert( "ServerPort" )->getText(), 10 );
	dat->release();
	return ret;
}

unsigned int getKlientId()
{
	Datei *dat = new Datei();
	dat->setDatei( "data/tmp/k.id" );
	dat->ffnen( Datei::Style::lesen );
	unsigned int ret = 0;
	dat->lese( (char*)&ret, 4 );
	dat->schlieen();
	dat = dat->release();
	return ret;
}

char getSchlssel( char **schlssel )
{
	char ln = 0;
	Datei *dat = new Datei();
	dat->setDatei( "data/tmp/schlssel.netw" );
	dat->ffnen( Datei::Style::lesen );
	dat->lese( &ln, 1 );
	*schlssel = new char[ ln ];
	dat->lese( *schlssel, ln );
	dat->schlieen();
	dat = dat->release();
	return ln;
}