#ifndef Besttigung_H
#define Besttigung_H

#include <Fenster.h>
#include <TextFeld.h>
#include <Knopf.h>
#include <MausEreignis.h>
#include <TastaturEreignis.h>
#include <Schrift.h>
#include <Bildschirm.h>
#include "..\..\Aktionen\AktionsThread.h"

using namespace Framework;

class Besttigung
{
private:
	Knopf *besttigung;
	Fenster *fenster;
	TextFeld *name;
	TextFeld *passwort;
	Knopf *weiter;
	TextFeld *schlssel;
	Knopf *spter;
	Knopf *abbruch;
	Knopf *neuSenden;
	TextFeld *nachricht;
	int ref;
	void zeigeNachricht( const char *txt );

public:
	// Konstruktor
	Besttigung( Schrift *zSchrift, Fenster *zVorLoginFenster );
	// Destruktor
	~Besttigung();
	// Knopfdruck
	void druckFremdKnopf(); // Ein anderer Bereich des Programms wurde ausgewhlt
	bool besttigungME( void *obj, MausEreignis me ); // MausEreignis im Knopf bestrigung
	bool nameTE( void *obj, TastaturEreignis te ); // Tastaturereignis im Textfeld name
	bool passwortTE( void *obj, TastaturEreignis te ); // Tastaturereignis im Textfeld passwort
	bool weiterME( void *obj, MausEreignis me ); // MausEreignis im Knopf weiter
	bool schlsselTE( void *obj, TastaturEreignis te ); // Tastaturereignis im Textfeld schlssel
	bool spterME( void *obj, MausEreignis me ); // MausEreignis im Knopf spter
	bool abbruchME( void *obj, MausEreignis me ); // MausEreignis im Knopf abbruch
	bool neuSendenME( void *obj, MausEreignis me ); // MausEreignis im Knopf neuSenden
	void setWeiterResult( int ret ); // setzt den Returnwert des Weiter drckens
	void setFertigResult( bool ret ); // setzt den Returnwert des Fertig drkens
	// Reference Counting
	Besttigung *getThis();
	Besttigung *release();
};

// messages
bool besttigungBesttigungME( void *p, void *obj, MausEreignis me );
bool besttigungNameTE( void *p, void *obj, TastaturEreignis te );
bool besttigungPasswortTE( void *p, void *obj, TastaturEreignis te );
bool besttigungWeiterME( void *p, void *obj, MausEreignis me );
bool besttigungSchlsselTE( void *p, void *obj, TastaturEreignis te );
bool besttigungSpterME( void *p, void *obj, MausEreignis me );
bool besttigungAbbruchME( void *p, void *obj, MausEreignis me );
bool besttigungNeuSendenME( void *p, void *obj, MausEreignis me );

#endif