#ifndef Variablen_H
#define Variablen_H

#ifndef variable
#define variable extern
#endif

#include "..\Netzwerk\KSGKlient.h"
#include "../Netzwerk/KeepAlive.h"
#include "..\VorLogin\Login\Login.h"
#include "..\VorLogin\VorLogin.h"
#include "..\NachLogin\NachLogin.h"
#include "..\NachLogin\UpdateGUI\UpdateGUI.h"
#include "Bilder.h"
#include "DLLDateien.h"
#include <Animation.h>

variable LoginKlient *loginKlient;
variable RegisterKlient *registerKlient;
variable InformationKlient *infoKlient;
variable ChatKlient *chatKlient;
variable AnmeldungKlient *anmeldungKlient;
variable SpielKlient *spielKlient;
variable ShopKlient *shopKlient;
variable HistorieKlient *historieKlient;
variable NewsKlient *newsKlient;
variable EditorKlient *editorKlient;
variable KartenKlient *kartenKlient;
variable VorLogin *vorLogin;
variable NachLogin *nachLogin;
variable int aktion;
variable Framework::Animation2D *ladeAnimation;
variable Bildschirm *hauptScreen;
variable Bilder *bilder;
variable UpdateHandler *updateH;
variable DLLDateien *dllDateien;
variable bool _render;
variable KeepAliveTh *keepAliveTh;

void initVariables( Schrift *zSchrift, Bildschirm *zBildschirm );
void releaseVariables();

#endif